LibreOffice: XSection Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XSection Interface Reference

identifies a XSection inside a report. More...

`import "XSection.idl";`

Inheritance diagram for XSection:

## Exported Interfaces
interface | com::sun::star::container::XChild
| allows to navigate to group or report definition.
interface | com::sun::star::container::XContainer
| allows to register listeners to be notified of changes in the container.
interface | com::sun::star::drawing::XShapes
| gives access to the elements by index.
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of the elements.
interface | com::sun::star::beans::XPropertySet
| provides generic access to the instance properties
interface | com::sun::star::lang::XComponent
| allows life-time control of sections.

## Public Attributes
boolean | Visible
| Defines if the section should be visible in report.
string | Name
| Defines the name of the section.
unsigned long | Height
| Defines the height of the section.
com::sun::star::util::Color | BackColor
| Defines the background color of the section.
boolean | BackTransparent
| determines if the background color is set to transparent.
string | ConditionalPrintExpression
| Defines the expression which is executed before printing the section.
short | ForceNewPage
| Specifies whether the section is printed on a separate page.
short | NewRowOrCol
| Specifies whether the section is printed in a new row or column within a multi column report.
boolean | KeepTogether
| Specifies that the section is printed on one page.
boolean | CanGrow
| Specifies that elements with dynamic state will be expanded vertically when then content of the element is larger than it's container.
boolean | CanShrink
boolean | RepeatSection
| Defines that the group header should be repeated on the next page when a group spans more than one page.
com::sun::star::report::XGroup | Group
| Specifies the parent of the section if it is a group header or group footer.
com::sun::star::report::XReportDefinition | ReportDefinition
| Specifies the parent of the section if it is a page header or page footer.

## Additional Inherited Members
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content.
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed.
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container.
Public Member Functions inherited from XShapes
void | add ([in] com::sun::star::drawing::XShape xShape)
| inserts a Shape into this collection.
void | remove ([in] com::sun::star::drawing::XShape xShape)
| removes a Shape from this collection.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.

## Detailed Description

identifies a XSection inside a report.

A section acts like a container of report components. This generic construction allows the definition of hierarchies of reports and their dependent subreports.

See also
  XReportDefinition
  XGroup

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

provides generic access to the instance properties

## ◆ com::sun::star::container::XChild

interface com::sun::star::container::XChild

allows to navigate to group or report definition.

## ◆ com::sun::star::container::XContainer

interface com::sun::star::container::XContainer

allows to register listeners to be notified of changes in the container.

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of the elements.

## ◆ com::sun::star::drawing::XShapes

interface com::sun::star::drawing::XShapes

gives access to the elements by index.

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

allows life-time control of sections.

## Member Data Documentation

## ◆ BackColor

com::sun::star::util::Color BackColor
| attributebound

Defines the background color of the section.

## ◆ BackTransparent

boolean BackTransparent
| attributebound

determines if the background color is set to transparent.

## ◆ CanGrow

boolean CanGrow
set raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException ) |  |  |
get raises | ( | com::sun::star::beans::UnknownPropertyException ) |  |  |
| attributebound

Specifies that elements with dynamic state will be expanded vertically when then content of the element is larger than it's container.

If this property is disabled the content will be truncated when its size is larger than the container.

## ◆ CanShrink

boolean CanShrink
set raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException ) |  |  |
get raises | ( | com::sun::star::beans::UnknownPropertyException ) |  |  |
| attributebound

Represents ...

## ◆ ConditionalPrintExpression

string ConditionalPrintExpression
| attributebound

Defines the expression which is executed before printing the section.

If the return value of the expression is TRUE then the section will be printed.

## ◆ ForceNewPage

short ForceNewPage
set raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException ) |  |  |
get raises | ( | com::sun::star::beans::UnknownPropertyException ) |  |  |
| attributebound

Specifies whether the section is printed on a separate page.

Not valid for page header or page footer.

See also
  ForceNewPage

## ◆ Group

com::sun::star::report::XGroup Group
| attributereadonly

Specifies the parent of the section if it is a group header or group footer.

## ◆ Height

unsigned long Height
| attributebound

Defines the height of the section.

## ◆ KeepTogether

boolean KeepTogether
set raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException ) |  |  |
get raises | ( | com::sun::star::beans::UnknownPropertyException ) |  |  |
| attributebound

Specifies that the section is printed on one page.

Not valid for page header or page footer.

## ◆ Name

string Name
| attributebound

Defines the name of the section.

## ◆ NewRowOrCol

short NewRowOrCol
set raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException ) |  |  |
get raises | ( | com::sun::star::beans::UnknownPropertyException ) |  |  |
| attributebound

Specifies whether the section is printed in a new row or column within a multi column report.

Not valid for page header or page footer.

See also
  ForceNewPage

## ◆ RepeatSection

boolean RepeatSection
set raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::UnknownPropertyException ) |  |  |
get raises | ( | com::sun::star::beans::UnknownPropertyException ) |  |  |
| attributebound

Defines that the group header should be repeated on the next page when a group spans more than one page.

It only applies to group headers.

## ◆ ReportDefinition

com::sun::star::report::XReportDefinition ReportDefinition
| attributereadonly

Specifies the parent of the section if it is a page header or page footer.

## ◆ Visible

boolean Visible
| attributebound

Defines if the section should be visible in report.

The documentation for this interface was generated from the following file:

- com/sun/star/report/XSection.idl